com.thinkaurelius.titan.graphdb.transaction.addedrelations

## Class ConcurrentBufferAddedRelations

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.transaction.addedrelations.SimpleBufferAddedRelations
  - - com.thinkaurelius.titan.graphdb.transaction.addedrelations.ConcurrentBufferAddedRelations

- All Implemented Interfaces:
    AddedRelationsContainer

      public class ConcurrentBufferAddedRelations
      extends SimpleBufferAddedRelations

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Field Summary

    - ### Fields inherited from interface com.thinkaurelius.titan.graphdb.transaction.addedrelations.AddedRelationsContainer

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConcurrentBufferAddedRelations()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(InternalRelation relation)`
    `List<InternalRelation>` | `getView(com.google.common.base.Predicate<InternalRelation> filter)`
    `boolean` | `isEmpty()`
    `boolean` | `remove(InternalRelation relation)`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.transaction.addedrelations.SimpleBufferAddedRelations

      `getAll`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConcurrentBufferAddedRelations

          public ConcurrentBufferAddedRelations()

  - ### Method Detail

    - #### add

          public boolean add(InternalRelation relation)

      Specified by:
        `add` in interface `AddedRelationsContainer`
      Overrides:
        `add` in class `SimpleBufferAddedRelations`

    - #### remove

          public boolean remove(InternalRelation relation)

      Specified by:
        `remove` in interface `AddedRelationsContainer`
      Overrides:
        `remove` in class `SimpleBufferAddedRelations`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `AddedRelationsContainer`
      Overrides:
        `isEmpty` in class `SimpleBufferAddedRelations`

    - #### getView

          public List<InternalRelation> getView(com.google.common.base.Predicate<InternalRelation> filter)

      Specified by:
        `getView` in interface `AddedRelationsContainer`
      Overrides:
        `getView` in class `SimpleBufferAddedRelations`

Copyright © 2012–2014. All rights reserved.